procedure leftedge (inimage, outimage) 
string inimage, outimage

begin

string im,out
string z,z1

im=inimage
out=outimage

z=mktemp("z")//".fits"
z1=mktemp("z1")//".fits"

copy(im, z)

imsurfit( z//"[IM55]", z//"[IM55,overwrite]", 3, 3, type="resid", 
         func="spline3", regions="all")
imsurfit( z//"[IM56]", z//"[IM56,overwrite]", 3, 3, type="resid", 
         func="spline3", regions="all")
imsurfit( z//"[IM57]", z1, 1, 3, type="fit", func="legendre", cross-,
          regions="columns", rows="1:100")
imarith ( z//"[im55]", "+",  z1,  z//"[im55,overwrite]")
imarith ( z//"[im56]", "+",  z1,  z//"[im56,overwrite]")
delete(z1)

imsurfit( z//"[IM37]", z//"[IM37,overwrite]", 3, 3, type="resid", 
         func="spline3", regions="all")
imsurfit( z//"[IM38]", z//"[IM38,overwrite]", 3, 3, type="resid", 
         func="spline3", regions="all")
imsurfit( z//"[IM39]", z1, 1, 3, type="fit", func="legendre", cross-,
          regions="columns", rows="1:100")
imarith ( z//"[im37]", "+",  z1,  z//"[im37,overwrite]")
imarith ( z//"[im38]", "+",  z1,  z//"[im38,overwrite]")
delete(z1)

imsurfit( z//"[IM19]", z//"[IM19,overwrite]", 3, 3, type="resid", 
         func="spline3", regions="all")
imsurfit( z//"[IM20]", z//"[IM20,overwrite]", 3, 3, type="resid", 
         func="spline3", regions="all")
imsurfit( z//"[IM21]", z1, 1, 3, type="fit", func="legendre", cross-,
          regions="columns", rows="1:100")
imarith ( z//"[im19]", "+",  z1,  z//"[im19,overwrite]")
imarith ( z//"[im20]", "+",  z1,  z//"[im20,overwrite]")
delete(z1)

imsurfit( z//"[IM1]", z//"[IM1,overwrite]", 3, 3, type="resid", 
         func="spline3", regions="all")
imsurfit( z//"[IM2]", z//"[IM2,overwrite]", 3, 3, type="resid", 
         func="spline3", regions="all")
imsurfit( z//"[IM3]", z1, 1, 3, type="fit", func="legendre", cross-,
          regions="columns", rows="1:100")
imarith ( z//"[im1]", "+",  z1,  z//"[im1,overwrite]")
imarith ( z//"[im2]", "+",  z1,  z//"[im2,overwrite]")
delete (z1)

rename(z,out)

end



